<template>
  <div>
    
    <div id="nav">
        
      
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
      <!-- <router-link :to="{ name: 'Home' }">Home</router-link>
      <router-link :to="{ name: 'About' }">About</router-link>
      <router-link :to="{ name: 'Search' }">Search</router-link> -->
      <!-- <router-link :to="{ name: 'Clientes' }">Clientes</router-link>
      <router-link :to="{ name: 'Registrar' }">Registrar</router-link> -->
    <div class="topnav" id="myTopnav">
        
  <a><router-link :to="{ name: 'Home' }">Home</router-link></a>
  <a><router-link :to="{ name: 'About' }">About</router-link></a>
  <a><router-link :to="{ name: 'Search' }">Buscar</router-link></a>
  <a style="float: right"><router-link :to="{ name: 'Login' }">Login</router-link></a>
  <!-- <a><router-link :to="{ name: 'Clientes' }">Clientes</router-link></a> -->
  <a style="float: right"><router-link :to="{ name: 'Registrar' }">Regístrate</router-link></a>

  <a href="javascript:void(0);" class="icon" @click="myFunction()">
    <i class="fa fa-bars"></i>    
  </a>
</div>
    </div>
  </div>
</template>

<script>

export default {
    name: 'MenuCustom',
    methods: {
        myFunction() {
  var x = document.getElementById("myTopnav");
  if (x.className === "topnav") {
    x.className += " responsive";
  } else {
    x.className = "topnav";
  }
}
    }
}
</script>

<style scoped>
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@200&display=swap');
* {
  padding: 0;
  margin: 0;
}
body {
  font-family: 'Source Sans Pro', sans-serif;
  margin: 0;
  width: 100%;
}

.topnav {
  overflow: hidden;
  background-color: darkgoldenrod;
  margin: 0;
}

.topnav a {
  float: left;
  display: block;
  color: #ffffff;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 28px;
}

.topnav a:hover {
  background-color: cornsilk;
  color: black;
}

.topnav a.active {
  background-color: white;
  color: cornsilk;
}

.topnav .icon {
  display: none;
}

@media screen and (max-width: 600px) {
  .topnav a:not(:first-child) {display: none;}
  .topnav a.icon {
    float: right;
    display: block;
  }
}

@media screen and (max-width: 600px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
}
/*@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@200&display=swap');

.titulo {
  text-align: center;
  font-family: 'Source Sans Pro', sans-serif;
  font-size: 20pt;
  color: gray;
}*/
/*Eliminamos los margenes y paddings que agrega el navegador por defecto*/
/* * {
  padding: 0;
  margin: 0;
} */
 
/*Agregamos margenes inferiores a los parrafos*/
/* p {
  margin-bottom: 20px;
}
#nav {
  text-align: center;
  font-family: 'Source Sans Pro', sans-serif;
  background-color: rgba(255, 255, 255, 0.);
  width: 100%;
  position: fixed;
  z-index: 100;
}
.contenido {
  padding-top: 800px;
}
#nav a {
  text-align: center;
  padding: 50px;
  text-decoration: none;
  font-weight: bold;
  font-size: 14pt;
  color: grey;
}

#nav a.router-link-exact-active {
  color: green;
} */
</style>